unit Main;

interface

uses Windows, Classes, Graphics, Forms, Controls, Menus,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls;

type
  TMainForm = class(TForm)
    SDIAppMenu: TMainMenu;
    FileMenu: TMenuItem;
    OpenItem: TMenuItem;
    SaveItem: TMenuItem;
    ExitItem: TMenuItem;
    N1: TMenuItem;
    OpenDialog: TOpenDialog;
    Help1: TMenuItem;
    About1: TMenuItem;
    SpeedPanel: TPanel;
    SpeedButton11: TSpeedButton;
    SpeedButton1: TSpeedButton;
    SaveBtn: TSpeedButton;
    Nouveau1: TMenuItem;
    N2: TMenuItem;
    Enregistrersous1: TMenuItem;
    Exporter1: TMenuItem;
    N3: TMenuItem;
    Importer1: TMenuItem;
    OpenDialog1: TOpenDialog;
    Options1: TMenuItem;
    Ouvrirautomatiquement1: TMenuItem;
    StatusBar: TStatusBar;
    Type1: TMenuItem;
    N4: TMenuItem;
    Misesjour1: TMenuItem;
    Devise1: TMenuItem;
    Installation1: TMenuItem;
    Catgories1: TMenuItem;
    Langue1: TMenuItem;
    Index1: TMenuItem;
    Rechercher1: TMenuItem;
    Utiliserlaide1: TMenuItem;
    N5: TMenuItem;
    Utilitaires1: TMenuItem;
    Clendrier1: TMenuItem;
    Horloge1: TMenuItem;
    Calculatrice1: TMenuItem;
    Aperudansnavigateur1: TMenuItem;
    SpeedButton2: TSpeedButton;
    Editeur1: TMenuItem;
    N6: TMenuItem;
    procedure ShowHint(Sender: TObject);
    procedure Valide;
    procedure ExitItemClick(Sender: TObject);
    procedure OpenItemClick(Sender: TObject);
    procedure SaveItemClick(Sender: TObject);
    procedure HContents(Sender: TObject);
    procedure HSearch(Sender: TObject);
    procedure HowToUse(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Exporter1Click(Sender: TObject);
    procedure Nouveau1Click(Sender: TObject);
    procedure Enregistrersous1Click(Sender: TObject);
    procedure Importer1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure Ouvrirautomatiquement1Click(Sender: TObject);
    procedure Type1Click(Sender: TObject);
    procedure Misesjour1Click(Sender: TObject);
    procedure Devise1Click(Sender: TObject);
    procedure Installation1Click(Sender: TObject);
    procedure Catgories1Click(Sender: TObject);
    procedure Langue1Click(Sender: TObject);
    procedure Clendrier1Click(Sender: TObject);
    procedure Horloge1Click(Sender: TObject);
    procedure Calculatrice1Click(Sender: TObject);
    procedure Aperudansnavigateur1Click(Sender: TObject);
    procedure Editeur1Click(Sender: TObject);
  private
    { Private declarations }
    ChInit,Filename,SocName: string;
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses SysUtils, About, Unit10, Calend, Horloge1, Pocket1;

{$R *.DFM}

procedure TMainForm.ShowHint(Sender: TObject);
begin
  StatusBar.SimpleText := Application.Hint;
end;

procedure TMainForm.Valide;
begin
  SaveBtn.Enabled:=true;
  Enregistrersous1.Enabled:=true;
  Exporter1.Enabled:=true;
  SaveItem.Enabled:=true;
  SpeedButton2.Enabled:=true;  
end;

procedure TMainForm.ExitItemClick(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.OpenItemClick(Sender: TObject);
begin
  if OpenDialog.Execute then
  begin
    Padgen.Caption:=ExtractFilename(OpenDialog.FileName);
    Padgen.OpenFile(Opendialog.Filename);
  end;
  Valide;
end;

procedure TMainForm.SaveItemClick(Sender: TObject);
begin
  Padgen.Enregistrer(Sender);
end;

procedure TMainForm.About1Click(Sender: TObject);
begin
  AboutBox:=TAboutBox.Create(Self);
  AboutBox.ShowModal;
  AboutBox.Free;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Application.OnHint := ShowHint;
end;

procedure TMainForm.HContents(Sender: TObject);
begin
  Application.HelpCommand(HELP_CONTENTS, 0);
end;

procedure TMainForm.HSearch(Sender: TObject);
const
  EmptyString: PChar = '';
begin
  Application.HelpCommand(HELP_PARTIALKEY, Longint(EmptyString));
end;

procedure TMainForm.HowToUse(Sender: TObject);
begin
  Application.HelpCommand(HELP_HELPONHELP, 0);
end;

procedure TMainForm.Exporter1Click(Sender: TObject);
begin
  PadGen.Exporter;
end;

procedure TMainForm.Nouveau1Click(Sender: TObject);
begin
  PadGen.Nouveau;
  Valide;
end;

procedure TMainForm.Enregistrersous1Click(Sender: TObject);
begin
  PadGen.SaveAs(Sender);
end;

procedure TMainForm.Importer1Click(Sender: TObject);
begin
  OpenDialog1.Filename:='*.xml';
  if OpenDialog1.Execute then
  begin
    Padgen.Caption:=ExtractFilename(OpenDialog1.FileName);
    Padgen.Importer(Opendialog1.Filename);
  end;
  Valide;
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  SetCurrentDir(ChInit);
  PadGen.SauveIni;
  PadGen.SauveCombo;  
end;

procedure TMainForm.FormShow(Sender: TObject);
var Ok: boolean;
begin
  Height:=500;
  width:=620;  
  StatusBar.Panels[0].Width:=Width-100;
  ChInit:=GetCurrentdir;
  Application.HelpFile:=ChInit+'\FrPad.hlp';
  Padgen.GetIni(Ok,Filename,SocName);
  if Ok then Ouvrirautomatiquement1.Checked:=true;
  if Ok then
  begin
    PadGen.OpenFile(Socname);
    PadGen.OpenFile(Filename);
  end;
end;

procedure TMainForm.Ouvrirautomatiquement1Click(Sender: TObject);
var Ok: boolean;
begin
  PadGen.GetIni(Ok,Filename,SocName);
  Ouvrirautomatiquement1.Checked:=not Ouvrirautomatiquement1.Checked;
  Ok:=Ouvrirautomatiquement1.Checked;
  PadGen.SetIni(Ok);
end;

procedure TMainForm.Type1Click(Sender: TObject);
begin
  PadGen.Types;
end;

procedure TMainForm.Misesjour1Click(Sender: TObject);
begin
  PadGen.Maj;
end;

procedure TMainForm.Devise1Click(Sender: TObject);
begin
  PadGen.Devise;
end;

procedure TMainForm.Installation1Click(Sender: TObject);
begin
  PadGen.Installation;
end;

procedure TMainForm.Catgories1Click(Sender: TObject);
begin
  PadGen.Categorie;
end;

procedure TMainForm.Langue1Click(Sender: TObject);
begin
  PadGen.Langues;
end;

procedure TMainForm.Clendrier1Click(Sender: TObject);
begin
  Calendrier:=TCalendrier.Create(Self);
  Calendrier.ShowModal;
  Calendrier.Free;
end;

procedure TMainForm.Horloge1Click(Sender: TObject);
begin
  Horloge:=THorloge.Create(Self);
  Horloge.ShowModal;
  Horloge.Free;
end;

procedure TMainForm.Calculatrice1Click(Sender: TObject);
begin
  Pocket:=TPocket.Create(Self);
  Pocket.ShowModal;
  Pocket.Free;
end;

procedure TMainForm.Aperudansnavigateur1Click(Sender: TObject);
begin
  PadGen.Apercu;
end;

procedure TMainForm.Editeur1Click(Sender: TObject);
begin
  PadGen.Editeur;
end;

end.

